unit Unit16;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ERombBtn, StdCtrls;

type
  TForm1 = class(TForm)
    EnhRombButtons1: TEnhRombButtons;
    Edit1: TEdit;
    Button1: TButton;
    ScrollBar1: TScrollBar;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Label1: TLabel;
    procedure EnhRombButtons1DownClick(Sender: TObject);
    procedure EnhRombButtons1LeftClick(Sender: TObject);
    procedure EnhRombButtons1RightClick(Sender: TObject);
    procedure EnhRombButtons1UpClick(Sender: TObject);
    procedure ScrollBar1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure EnhRombButtons1Exit(Sender: TObject);
    procedure EnhRombButtons1Enter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.EnhRombButtons1DownClick(Sender: TObject);
begin
  Edit1.text := 'Down';
end;

procedure TForm1.EnhRombButtons1LeftClick(Sender: TObject);
begin
  Edit1.text := 'Left';

end;

procedure TForm1.EnhRombButtons1RightClick(Sender: TObject);
begin
  Edit1.text := 'Right';

end;

procedure TForm1.EnhRombButtons1UpClick(Sender: TObject);
begin
  Edit1.text := 'Up';

end;

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
  EnhRombButtons1.ButtonSpace := ScrollBar1.Position;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  EnhRombButtons1.DrawContur := Not EnhRombButtons1.DrawContur;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  EnhRombButtons1.WithArrows := Not EnhRombButtons1.WithArrows;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  EnhRombButtons1.FullPression := Not EnhRombButtons1.FullPression;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  EnhRombButtons1.DownPrev(False);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  EnhRombButtons1.DownNext(False);
end;

procedure TForm1.EnhRombButtons1Exit(Sender: TObject);
begin
  Edit1.text := 'Lost Focus: Click to use Arrow keys';
end;

procedure TForm1.EnhRombButtons1Enter(Sender: TObject);
begin
  Edit1.text := 'Has Focus: Can Use Arrow Keys';
end;

end.
